<script type="text/javascript">

  var poll_id='{MYPOLLS_ATT_ID}'; //set as a global variable
  var results = new Array({MYPOLLS_NBQUESTIONS});
  var current_question = 0;

  //format results (string)
  function format_string(txt)
  {
    return('s:'+txt.length+':"'+txt+'";');
  }
  //format results (array)
  function format_array(an_array)
  {
    result='a:'+an_array.length+':{';
    for(i=0;i<an_array.length;i++)
    {
      result+='i:'+i+';'+an_array[i];
    }
    result+='}';

    return(result);
  }

  //memorize answer's results
  function memorise_result(question_num, result)
  {
    results[question_num] = result;
  }

  //prepare results into form
  function prepare_results()
  {
    var objresult = document.getElementById("iresults");

    objresult.value=format_array(results);
  }

  //load question(s)
  function load_poll_questions(question_num)
  {
    var doc = document.getElementById('display_questions');

    http_request=create_httpobject('get', '{MYPOLLS_CHARSET}', '{MYPOLLS_AJAX_URL_POLL_DETAIL}'+'&question='+question_num+'&lang={MYPOLLS_LANG}', false);
    http_request.send(null);
    doc.innerHTML = http_request.responseText;
    current_question=question_num;
    if(question_num==0)
    {
      for(i=0;i<{MYPOLLS_NBQUESTIONS};i++)
      { results[i]=''; }
    }
    else
    { results[question_num-1]=''; }

    global_check();
  }

  /*
    for multi answers, check that number of checked answers are not superior to maximal
    and set result in results array
  */
  function check_multi(nbmax, names, qid)
  {
    var local_result=new Array();
    var nbselected=0;
  

    for(i=0;i<document.forms['poll_form'].elements.length;i++)
    {
      if(document.forms['poll_form'].elements[i].name==names)
      {
        if(document.forms['poll_form'].elements[i].checked)
        {
          local_result.push(format_string(document.forms['poll_form'].elements[i].id));
          nbselected++;
        }
      }
    }
    //disabled/enabled unchecked elements 
    for(i=0;i<document.forms['poll_form'].elements.length;i++)
    {
      if(document.forms['poll_form'].elements[i].name==names)
      {
        if(!document.forms['poll_form'].elements[i].checked)
        { document.forms['poll_form'].elements[i].disabled=(nbselected==nbmax); }
      }
    }

    qid--;
    if(nbselected==0)
    {
      results[qid]='';
    }
    else
    {
      results[qid]=format_array(local_result);
    }
    global_check();
  }

  /*
    for order answers, when order is selected on an answer, disabled this choice for
    other answers and set result in results array
  */
  function check_order(names, qid)
  {
    var local_result = new Array();
    var all_selected = true;

    for(i=0;i<document.forms['poll_form'].elements.length;i++)
    {
      if(document.forms['poll_form'].elements[i].name==names)
      {
        local_result.push(format_string(document.forms['poll_form'].elements[i].id+'_'+document.forms['poll_form'].elements[i].selectedIndex));
        if(document.forms['poll_form'].elements[i].selectedIndex==0)
        { all_selected=false; }
        for(k=1;k<document.forms['poll_form'].elements[i].options.length;k++)
        {
          document.forms['poll_form'].elements[i].options[k].disabled=false;
          for(j=0;j<document.forms['poll_form'].elements.length;j++)
          {
            if((document.forms['poll_form'].elements[j].name==names)&&
              (document.forms['poll_form'].elements[j].selectedIndex==k)&&
              (i!=j))
            {
              document.forms['poll_form'].elements[i].options[k].disabled=true;
            }
          }
        }
      }
    }

    qid--;
    if(all_selected==false)
    {
      results[qid]='';
    }
    else
    {
      results[qid]=format_array(local_result);
    }
    global_check();
  }

  /*
    for mono answers set result in results array
  */
  function check_mono(names, qid)
  {
    var local_result = new Array();
    for(i=0;i<document.forms['poll_form'].elements.length;i++)
    {
      if(document.forms['poll_form'].elements[i].name==names)
      {
        if(document.forms['poll_form'].elements[i].checked)
        {
          local_result[0]=format_string(document.forms['poll_form'].elements[i].id);
        }
      }
    }
    qid--;
    results[qid]=format_array(local_result);
    global_check();
  }


  /*
    check all question and determine if disable or not the next step
  */
  function global_check()
  {
    disable_next_step=false;
    if(current_question==0)
    {
      for(i=1;i<=results.length;i++)
      {
        if(results[i]=='')
        {
          disable_next_step=true;
        }
      }
    }
    else
    {
      if(results[current_question-1]=='')
      {
        disable_next_step=true;
      }
    }
    obj = document.getElementById('inext_step');
    obj.disabled=disable_next_step;
    if(!disable_next_step)
    {
      prepare_results();
    }
  }



</script>

<div class="mypolls_page">

<!-- BEGIN mypolls_generic_text -->
<p>{mypolls_generic_text.GENERIC_TEXT}</p>
<hr/>
<!-- END mypolls_generic_text -->

<p>{MYPOLLS_DESCRIPTION}</p>

<form method="post" action="" class="general" name="poll_form" id="poll_form">
  <input type="hidden" name="fmypolls_results" id="iresults" value="">
  <div id="display_questions">

  </div>
</form>

</div>

<script type="text/javascript">
  load_poll_questions({MYPOLLS_FIRST_QUESTION});
</script>